net.sf.jasperreports.engine.util

## Class MaxFontSizeFinder

- java.lang.Object
- - net.sf.jasperreports.engine.util.MaxFontSizeFinder

-     public abstract class MaxFontSizeFinder
      extends java.lang.Object

  Version:
    $Id: MaxFontSizeFinder.java 6932 2014-02-27 09:32:21Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static MaxFontSizeFinder` | `DEFAULT_MAX_FONT_FINDER`
    `static MaxFontSizeFinder` | `STYLED_TEXT_MAX_FONT_FINDER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MaxFontSizeFinder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract float` | `findMaxFontSize(java.text.AttributedCharacterIterator line, float defaultFontSize)`
    `abstract int` | `findMaxFontSize(java.text.AttributedCharacterIterator line, int defaultFontSize)` Deprecated. Replaced by `findMaxFontSize(AttributedCharacterIterator, float)`.
    `static MaxFontSizeFinder` | `getInstance(boolean isStyledText)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### STYLED_TEXT_MAX_FONT_FINDER

          public static final MaxFontSizeFinder STYLED_TEXT_MAX_FONT_FINDER

    - #### DEFAULT_MAX_FONT_FINDER

          public static final MaxFontSizeFinder DEFAULT_MAX_FONT_FINDER

  - ### Constructor Detail

    - #### MaxFontSizeFinder

          public MaxFontSizeFinder()

  - ### Method Detail

    - #### getInstance

          public static MaxFontSizeFinder getInstance(boolean isStyledText)

    - #### findMaxFontSize

          public abstract float findMaxFontSize(java.text.AttributedCharacterIterator line,
                              float defaultFontSize)

    - #### findMaxFontSize

          public abstract int findMaxFontSize(java.text.AttributedCharacterIterator line,
                            int defaultFontSize)

      Deprecated. Replaced by `findMaxFontSize(AttributedCharacterIterator, float)`.

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com